%define upstream_name    Sort-Key-IPv4
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 23
Summary:    Sort IP v4 addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sort/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Sort::Key)
BuildRequires: perl-devel

%description
This module extends the the Sort::Key manpage family of modules to support
sorting of IP v4 addresses and networks.

IPv4 addresses have to match the regular expression
'/^\d+\.\d+\.\d+\.\d+$/'. For instance '192.168.20.102'.

IPv4 networks have to match the regular expression
'/^\d+\.\d+\.\d+\.\d+\/\d+$/'. For instance '10.2.4.0/24'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.30.0-23.mga10
+ Revision: 2089048
- Rebuild for perl-5.40

* Tue Nov 28 2023 tv <tv> 0.30.0-22.mga10
+ Revision: 2010923
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.30.0-21.mga9
+ Revision: 1862419
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.30.0-20.mga9
+ Revision: 1796302
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.30.0-19.mga9
+ Revision: 1727120
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.30.0-18.mga8
+ Revision: 1595265
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.30.0-17.mga8
+ Revision: 1530206
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.30.0-16.mga8
+ Revision: 1433897
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.30.0-15.mga7
+ Revision: 1293761
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 guillomovitch <guillomovitch> 0.30.0-14.mga7
+ Revision: 1248210
- fix files list

* Tue Oct 03 2017 tv <tv> 0.30.0-13.mga7
+ Revision: 1166573
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.30.0-12.mga7
+ Revision: 1149930
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.30.0-11.mga7
+ Revision: 1126439
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-10.mga6
+ Revision: 1033252
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-9.mga6
+ Revision: 958002
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-8.mga6
+ Revision: 845288
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.30.0-7.mga6
+ Revision: 841674
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 788238
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 741253
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-4.mga5
+ Revision: 686210
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.30.0-3.mga5
+ Revision: 632321
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-2.mga4
+ Revision: 529314
- Mageia 4 Mass Rebuild

* Thu Jan 17 2013 guillomovitch <guillomovitch> 0.30.0-1.mga4
+ Revision: 389214
- imported package perl-Sort-Key-IPv4

